WPXEncryption Class Reference documentation

WPXEncryption Class Reference

`#include <WPXEncryption.h>`

## Public Member Functions
| WPXEncryption (const char *password, const unsigned long encryptionStartOffset=0)
| ~WPXEncryption ()
const unsigned char * | readAndDecrypt (librevenge::RVNGInputStream *input, unsigned long numBytes, unsigned long &numBytesRead)
unsigned short | getCheckSum () const
void | setEncryptionStartOffset (unsigned long encryptionStartOffset)
unsigned long | getEncryptionStartOffset () const
void | setEncryptionMaskBase (unsigned char encryptionMaskBase)
unsigned char | getEncryptionMaskBase () const
const librevenge::RVNGString & | getEncryptionPassword () const

## Private Member Functions
| WPXEncryption (const WPXEncryption &)
WPXEncryption & | operator= (const WPXEncryption &)

## Private Attributes
std::unique_ptr< unsigned char[]> | m_buffer
librevenge::RVNGString | m_password
unsigned long | m_encryptionStartOffset
unsigned char | m_encryptionMaskBase

## Constructor & Destructor Documentation

## ◆ WPXEncryption() [1/2]

WPXEncryption::WPXEncryption | ( | const char * | password,
|  | const unsigned long | encryptionStartOffset = 0 )

Referenced by operator=(), and WPXEncryption().

## ◆ ~WPXEncryption()

WPXEncryption::~WPXEncryption | ( |  | ) |

## ◆ WPXEncryption() [2/2]

WPXEncryption::WPXEncryption | ( | const WPXEncryption & |  | ) |
| private

## Member Function Documentation

## ◆ getCheckSum()

unsigned short WPXEncryption::getCheckSum | ( |  | ) | const

Referenced by libwpd::WPDocument::verifyPassword(), WP1Heuristics::verifyPassword(), and WP42Heuristics::verifyPassword().

## ◆ getEncryptionMaskBase()

unsigned char WPXEncryption::getEncryptionMaskBase | ( |  | ) | const
| inline

Referenced by WP3ResourceFork::WP3ResourceFork().

## ◆ getEncryptionPassword()

const librevenge::RVNGString & WPXEncryption::getEncryptionPassword | ( |  | ) | const
| inline

## ◆ getEncryptionStartOffset()

unsigned long WPXEncryption::getEncryptionStartOffset | ( |  | ) | const
| inline

Referenced by WP3ResourceFork::WP3ResourceFork().

## ◆ operator=()

WPXEncryption & WPXEncryption::operator= | ( | const WPXEncryption & |  | ) |
| private

## ◆ readAndDecrypt()

const unsigned char * WPXEncryption::readAndDecrypt | ( | librevenge::RVNGInputStream * | input,
|  | unsigned long | numBytes,
|  | unsigned long & | numBytesRead )

Referenced by readU16(), readU32(), and readU8().

## ◆ setEncryptionMaskBase()

void WPXEncryption::setEncryptionMaskBase | ( | unsigned char | encryptionMaskBase | ) |
| inline

Referenced by WP3ResourceFork::WP3ResourceFork().

## ◆ setEncryptionStartOffset()

void WPXEncryption::setEncryptionStartOffset | ( | unsigned long | encryptionStartOffset | ) |
| inline

Referenced by WP3ResourceFork::WP3ResourceFork().

## Member Data Documentation

## ◆ m_buffer

std::unique_ptr<unsigned char[]> WPXEncryption::m_buffer
| private

Referenced by readAndDecrypt(), and WPXEncryption().

## ◆ m_encryptionMaskBase

unsigned char WPXEncryption::m_encryptionMaskBase
| private

Referenced by getEncryptionMaskBase(), readAndDecrypt(), setEncryptionMaskBase(), and WPXEncryption().

## ◆ m_encryptionStartOffset

unsigned long WPXEncryption::m_encryptionStartOffset
| private

Referenced by getEncryptionStartOffset(), readAndDecrypt(), setEncryptionStartOffset(), and WPXEncryption().

## ◆ m_password

librevenge::RVNGString WPXEncryption::m_password
| private

Referenced by getCheckSum(), getEncryptionPassword(), readAndDecrypt(), and WPXEncryption().

The documentation for this class was generated from the following files:

- WPXEncryption.h
- WPXEncryption.cpp